# 好办后台地区(省市县)选择
>>> HEAD

> A Vue.js area select Plugin


## Install
```shell
npm install @gic-test/vue-office-area -S
```

## how to use
```
// main.js
import vueOfficeArea from '@gic-test/vue-office-area'

Vue.use(vueOfficeArea)

// 使用页面

<vue-office-area :projectName="projectName" :postUrl="postUrl" :areaOptions="areaOptions" @selected="selected"></vue-office-area>

data() {
  return {
    // 可传参数
    projectName: '', // 当前项目名
    postUrl: '', // 自定义请求的 url,如: '/api-admin/dict-district-list'
    // 省市县参数
    areaOptions: {
      provinceName: '',
      provinceId: '',
      cityName: '',
      cityId: '',
      countryName: '',
      countyId: ''
    },
  }
}

methods: {
  selected(val) {
    console.log(val+"/////")
  }
},
```

